class CreateDeliveries < ActiveRecord::Migration[5.1]
  def change
    create_table :deliveries do |t|
    	t.string :order_reservation_id, foreign_key: true, :null => false, :limit => 16
    	t.string :provider, :null => false
    	t.string :delivery_type, :null => false
    	t.string :township
    	t.longtext :address
    	t.longtext :direction_address
    	t.string :delivery_fee
    	t.longtext :remark
      t.timestamps
    end
  end

  def down
  	drop_table :deliveries
  end
end
